Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface WTCServerMBean

public interface WTCServerMBean
extends DeploymentMBean

This MBean defines a WTC Server.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `addExport(WTCExportMBean exportTuxService)` Add an export service mbean to the WTC Server.
`boolean` | `addImport(WTCImportMBean importTuxService)` Add an import service mbean to the WTC Server.
`boolean` | `addLocalTuxDom(WTCLocalTuxDomMBean localTuxDomain)` Add a local Tuxedo domain to the WTC Server.
`boolean` | `addPassword(WTCPasswordMBean tuxDomPassword)` Add a Tuxedo domain passwords mbeans to the WTC Server.
`boolean` | `addRemoteTuxDom(WTCRemoteTuxDomMBean remoteTuxDomain)` Add a remote Tuxedo domain to the WTC Server.
`boolean` | `addtBridgeRedirect(WTCtBridgeRedirectMBean tBredirect)` Add a tBridge Redirect mbean to the WTC Server.
`WTCExportMBean[]` | `getExports()` Get all the export service mbeans defined for the WTC Server.
`WTCImportMBean[]` | `getImports()` Get all the import service mbeans defined for the WTC Server.
`WTCLocalTuxDomMBean[]` | `getLocalTuxDoms()` Get all the loal Tuxedo domains defined for the WTC Server.
`WTCPasswordMBean[]` | `getPasswords()` Get all the Tuxedo domain passwords mbeans defined for the WTC Server.
`WTCRemoteTuxDomMBean[]` | `getRemoteTuxDoms()` Get all the remote Tuxedo domains defined for the WTC Server.
`WTCResourcesMBean` | `getResource()` Get the Tuxedo domain resources mbean defined for the WTC Server.
`WTCtBridgeGlobalMBean` | `gettBridgeGlobal()` Get the tBridge Global mbean defined for the WTC Server.
`WTCtBridgeRedirectMBean[]` | `gettBridgeRedirects()` Get the tBridge Redirect mbean defined for the WTC Server.
`boolean` | `removeExport(WTCExportMBean exportTuxService)` Remove an export service mbean from the WTC Server.
`boolean` | `removeImport(WTCImportMBean importTuxService)` Remove an import service mbean from the WTC Server.
`boolean` | `removeLocalTuxDom(WTCLocalTuxDomMBean localTuxDomain)` Remove a local Tuxedo domain from the WTC Server.
`boolean` | `removePassword(WTCPasswordMBean tuxDomPassword)` Remove a Tuxedo domain password mbeans from the WTC Server.
`boolean` | `removeRemoteTuxDom(WTCRemoteTuxDomMBean remoteTuxDomain)` Remove a remote Tuxedo domain from the WTC Server.
`boolean` | `removetBridgeRedirect(WTCtBridgeRedirectMBean tBredirect)` Remove a tBridge Redirect mbean to the WTC Server.
`void` | `setExports(WTCExportMBean[] exportTuxServices)` Set all the export service mbeans defined for the WTC Server.
`void` | `setImports(WTCImportMBean[] importTuxServices)` Set all the import service mbeans defined for the WTC Server.
`void` | `setLocalTuxDoms(WTCLocalTuxDomMBean[] localTuxDomains)` Set all the local Tuxedo domains defined for the WTC Server.
`void` | `setPasswords(WTCPasswordMBean[] tuxDomPasswords)` Set all the Tuxedo domain passwords mbeans defined for the WTC Server.
`void` | `setRemoteTuxDoms(WTCRemoteTuxDomMBean[] remoteTuxDomains)` Set all the remote Tuxedo domains defined for the WTC Server.
`void` | `setResource(WTCResourcesMBean tuxDomResource)` Set the Tuxedo domain resources mbean defined for the WTC Server.
`void` | `settBridgeGlobal(WTCtBridgeGlobalMBean tBridgeGlobal)` Set the tBridge Global mbean defined for the WTC Server.
`void` | `settBridgeRedirects(WTCtBridgeRedirectMBean[] tBridgeRedirects)` Set the tBridge Redirect mbean defined for the WTC Server.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getLocalTuxDoms

    public WTCLocalTuxDomMBean[] getLocalTuxDoms()

  Get all the loal Tuxedo domains defined for the WTC Server.

  A non-configurable MBean attribute.
  Returns:
    The localTuxDoms value

### setLocalTuxDoms

    public void setLocalTuxDoms(WTCLocalTuxDomMBean[] localTuxDomains)
                         throws javax.management.InvalidAttributeValueException

  Set all the local Tuxedo domains defined for the WTC Server.

  Parameters:
    `localTuxDomains` - The new localTuxDoms value
  Throws:
    javax.management.InvalidAttributeValueException -

### addLocalTuxDom

    public boolean addLocalTuxDom(WTCLocalTuxDomMBean localTuxDomain)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Add a local Tuxedo domain to the WTC Server.

  Parameters:
    `localTuxDomain` - the Tuxedo domain to add to the WTC Server
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### removeLocalTuxDom

    public boolean removeLocalTuxDom(WTCLocalTuxDomMBean localTuxDomain)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Remove a local Tuxedo domain from the WTC Server.

  Parameters:
    `localTuxDomain` - the Tuxedo domain to remove from the WTC Server
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getRemoteTuxDoms

    public WTCRemoteTuxDomMBean[] getRemoteTuxDoms()

  Get all the remote Tuxedo domains defined for the WTC Server.

  A non-configurable MBean attribute.
  Returns:
    The remoteTuxDoms value

### setRemoteTuxDoms

    public void setRemoteTuxDoms(WTCRemoteTuxDomMBean[] remoteTuxDomains)
                          throws javax.management.InvalidAttributeValueException

  Set all the remote Tuxedo domains defined for the WTC Server.

  Parameters:
    `remoteTuxDomains` - The new remoteTuxDoms value
  Throws:
    javax.management.InvalidAttributeValueException -

### addRemoteTuxDom

    public boolean addRemoteTuxDom(WTCRemoteTuxDomMBean remoteTuxDomain)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Add a remote Tuxedo domain to the WTC Server.

  Parameters:
    `remoteTuxDomain` - the Tuxedo domain to add to the WTC Server
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### removeRemoteTuxDom

    public boolean removeRemoteTuxDom(WTCRemoteTuxDomMBean remoteTuxDomain)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Remove a remote Tuxedo domain from the WTC Server.

  Parameters:
    `remoteTuxDomain` - the Tuxedo domain to remove from the WTC Server
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getExports

    public WTCExportMBean[] getExports()

  Get all the export service mbeans defined for the WTC Server.

  A non-configurable MBean attribute.
  Returns:
    The exports value

### setExports

    public void setExports(WTCExportMBean[] exportTuxServices)
                    throws javax.management.InvalidAttributeValueException

  Set all the export service mbeans defined for the WTC Server.

  Parameters:
    `exportTuxServices` - The new exports value
  Throws:
    javax.management.InvalidAttributeValueException -

### addExport

    public boolean addExport(WTCExportMBean exportTuxService)
                      throws javax.management.InvalidAttributeValueException,
                             DistributedManagementException

  Add an export service mbean to the WTC Server.

  Parameters:
    `exportTuxService` - The feature to be added to the Export attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### removeExport

    public boolean removeExport(WTCExportMBean exportTuxService)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Remove an export service mbean from the WTC Server.

  Parameters:
    `exportTuxService` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getImports

    public WTCImportMBean[] getImports()

  Get all the import service mbeans defined for the WTC Server.

  A non-configurable MBean attribute.
  Returns:
    The imports value

### setImports

    public void setImports(WTCImportMBean[] importTuxServices)
                    throws javax.management.InvalidAttributeValueException

  Set all the import service mbeans defined for the WTC Server.

  Parameters:
    `importTuxServices` - The new imports value
  Throws:
    javax.management.InvalidAttributeValueException -

### addImport

    public boolean addImport(WTCImportMBean importTuxService)
                      throws javax.management.InvalidAttributeValueException,
                             DistributedManagementException

  Add an import service mbean to the WTC Server.

  Parameters:
    `importTuxService` - The feature to be added to the Import attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### removeImport

    public boolean removeImport(WTCImportMBean importTuxService)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Remove an import service mbean from the WTC Server.

  Parameters:
    `importTuxService` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getPasswords

    public WTCPasswordMBean[] getPasswords()

  Get all the Tuxedo domain passwords mbeans defined for the WTC Server.

  A non-configurable MBean attribute.
  Returns:
    The passwords value

### setPasswords

    public void setPasswords(WTCPasswordMBean[] tuxDomPasswords)
                      throws javax.management.InvalidAttributeValueException

  Set all the Tuxedo domain passwords mbeans defined for the WTC Server.

  Parameters:
    `tuxDomPasswords` - The new passwords value
  Throws:
    javax.management.InvalidAttributeValueException -

### addPassword

    public boolean addPassword(WTCPasswordMBean tuxDomPassword)
                        throws javax.management.InvalidAttributeValueException,
                               DistributedManagementException

  Add a Tuxedo domain passwords mbeans to the WTC Server.

  Parameters:
    `tuxDomPassword` - The feature to be added to the Password attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### removePassword

    public boolean removePassword(WTCPasswordMBean tuxDomPassword)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Remove a Tuxedo domain password mbeans from the WTC Server.

  Parameters:
    `tuxDomPassword` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getResource

    public WTCResourcesMBean getResource()

  Get the Tuxedo domain resources mbean defined for the WTC Server.

  A non-configurable MBean attribute.
  Returns:
    The resource value

### setResource

    public void setResource(WTCResourcesMBean tuxDomResource)
                     throws javax.management.InvalidAttributeValueException

  Set the Tuxedo domain resources mbean defined for the WTC Server.

  Parameters:
    `tuxDomResource` - The new resource value
  Throws:
    javax.management.InvalidAttributeValueException -

### gettBridgeGlobal

    public WTCtBridgeGlobalMBean gettBridgeGlobal()

  Get the tBridge Global mbean defined for the WTC Server.

  A non-configurable MBean attribute.
  Returns:

### settBridgeGlobal

    public void settBridgeGlobal(WTCtBridgeGlobalMBean tBridgeGlobal)
                          throws javax.management.InvalidAttributeValueException

  Set the tBridge Global mbean defined for the WTC Server.

  Parameters:
    `tBridgeGlobal` -
  Throws:
    javax.management.InvalidAttributeValueException -

### gettBridgeRedirects

    public WTCtBridgeRedirectMBean[] gettBridgeRedirects()

  Get the tBridge Redirect mbean defined for the WTC Server.

  A non-configurable MBean attribute.
  Returns:

### settBridgeRedirects

    public void settBridgeRedirects(WTCtBridgeRedirectMBean[] tBridgeRedirects)
                             throws javax.management.InvalidAttributeValueException

  Set the tBridge Redirect mbean defined for the WTC Server.

  Parameters:
    `tBridgeRedirects` -
  Throws:
    javax.management.InvalidAttributeValueException -

### addtBridgeRedirect

    public boolean addtBridgeRedirect(WTCtBridgeRedirectMBean tBredirect)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Add a tBridge Redirect mbean to the WTC Server.

  Parameters:
    `tBredirect` - the tbridge redirect mbean to add to the WTC Server
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### removetBridgeRedirect

    public boolean removetBridgeRedirect(WTCtBridgeRedirectMBean tBredirect)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Remove a tBridge Redirect mbean to the WTC Server.

  Parameters:
    `tBredirect` - the tbridge redirect mbean to remove from the WTC Server
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD